pragma Source_Reference (000001, "asECOAMain_MODIMPL_Container.ads");
-------------------------------------------------------------------
-- @file asECOAMain_MODIMPL_Container.ads
-- Container Interface package specification for Module asECOAMain_MODIMPL
-- Generated automatically from specification; do not modify here
-------------------------------------------------------------------
with System;

with ECOA;

with ECOA;

with Location;

with asECOAMain_MODIMPL_User_Context;

package asECOAMain_MODIMPL_Container is

   type Context_Type is
      record
         -- A hook to implementation dependant private data
         Platform_Hook       : System.Address;

         -- Information that is private to a module implementation
         User_Context        : asECOAMain_MODIMPL_User_Context.User_Context_Type;

      end record;

   -- Logging and fault management services API

   procedure Log_Trace
      (Context : in out Context_Type;
       Log      : in ECOA.Log_Type);

   procedure Log_Debug
      (Context : in out Context_Type;
       Log      : in ECOA.Log_Type);

   procedure Log_Info
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type);

   procedure Log_Warning
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type);

   procedure Raise_Error
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type);

   procedure Raise_Fatal_Error
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type);

   -- Time services API

   procedure Get_Relative_Local_Time
      (Context             : in out Context_Type;
       Relative_Local_Time :    out ECOA.HR_Time_Type);

   procedure Get_UTC_Time
      (Context  : in out Context_Type;
       UTC_Time :    out ECOA.Global_Time_Type;
       Status  :    out ECOA.Return_Status_Type);

   procedure Get_Absolute_System_Time
      (Context              : in out Context_Type;
       Absolute_System_Time :    out ECOA.Global_Time_Type;
       Status  :    out ECOA.Return_Status_Type);

   -- Time resolution services API

   procedure Get_Relative_Local_Time_Resolution
      (Context                        : in out Context_Type;
       Relative_Local_Time_Resolution :    out ECOA.Duration_Type);

   procedure Get_UTC_Time_Resolution
      (Context                : in out Context_Type;
       UTC_Time_Resolution :    out ECOA.Duration_Type);

   procedure Get_Absolute_System_Time_Resolution
      (Context                         : in out Context_Type;
       Absolute_System_Time_Resolution :    out ECOA.Duration_Type);

   procedure getPosn_Request_Sync
      (Context : in out Context_Type;
       acPosn : out Location.Location;
       Status  :    out ECOA.Return_Status_Type);

   procedure getAlt_Request_Sync
      (Context : in out Context_Type;
       acAlt : out ECOA.Signed_32_Type;
       Status  :    out ECOA.Return_Status_Type);

   procedure getSpeed_Request_Sync
      (Context : in out Context_Type;
       acSpeed : out ECOA.Signed_32_Type;
       Status  :    out ECOA.Return_Status_Type);

   procedure getWayPoint_Request_Sync
      (Context : in out Context_Type;
       wp : out Location.Location;
       Status  :    out ECOA.Return_Status_Type);

   procedure putSteer_Send
      (Context : in out Context_Type;
       steer : in ECOA.Signed_32_Type);

end asECOAMain_MODIMPL_Container;
